Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Kernel sources updaten nicht - 4.9.76
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
LuxJux
Apprentice
Apprentice


Joined: 01 Mar 2016
Posts: 290

PostPosted: Tue Feb 27, 2018 7:15 pm    Post subject: [gelöst] Kernel sources updaten nicht - 4.9.76 Reply with quote

Möglicherweise fehlen mir wichtige Informationen oder ich habe was falsch gemacht.
Installiert ist kernel 4.9.76
Aktuell wäre jedoch 4.14.xx

Code:
 emerge --sync
emerge linux-firmware
emerge gentoo-sources


Code:

(chroot) plasma / # eselect kernel list
Available kernel symlink targets:
  [1]   linux-4.9.76-gentoo-r1 *
(chroot) plasma / #

Code:
(chroot) plasma / # genkernel --menuconfig all
* Gentoo Linux Genkernel; Version 68
* Running with options: --menuconfig all

* Using genkernel.conf from /etc/genkernel.conf
* Sourcing arch-specific config.sh from /usr/share/genkernel/arch/x86_64/config.sh ..
* Sourcing arch-specific modules_load from /usr/share/genkernel/arch/x86_64/modules_load ..

* Linux Kernel 4.9.76-gentoo-r1 for x86_64...
* .. with config file /usr/share/genkernel/arch/x86_64/kernel-config
* kernel: Using config from /usr/share/genkernel/arch/x86_64/kernel-config
* kernel: >> Running mrproper...
*         >> Running oldconfig...
* kernel: >> Cleaning...
* kernel: >> Invoking menuconfig...
*         >> Compiling 4.9.76-gentoo-r1 bzImage...
^Z
[2]+  Angehalten              genkernel --menuconfig all


Wie kann auf 4.14.xx umgestellt werden ? (Oder ist das Unsinn ?)


Last edited by LuxJux on Wed Feb 28, 2018 9:14 am; edited 2 times in total
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6514
Location: Austria

PostPosted: Tue Feb 27, 2018 7:40 pm    Post subject: Reply with quote

4.9.76-r1 ist einfach latest stable. Aktuell wäre 4.15.6. Das ACCEPT_KEYWORDS Konzept ist dir bekannt?

Code:
# eshowkw gentoo-sources
Keywords for sys-kernel/gentoo-sources:
             |                           a     |                | 
             |                           m     |                | 
             |                           d   x |                | 
             |                           6   8 |                | 
             |                           4   6 |   u            | 
             | a a   a       p         s |   | |   n            | 
             | l m   r h i   p   m s   p f m f | e u s          | r
             | p d a m p a p c x 6 3   a b i b | a s l          | e
             | h 6 r 6 p 6 p 6 8 8 9 s r s p s | p e o          | p
             | a 4 m 4 a 4 c 4 6 k 0 h c d s d | i d t          | o
-------------+---------------------------------+----------------+-------
   4.1.43-r1 | o o + o o o o o o o o o o o o o | 5 o 4.1.43-r1  | gentoo
-------------+---------------------------------+----------------+-------
   4.1.48    | o o ~ o o o o o o o o o o o o o | 5 o 4.1.48     | gentoo
-------------+---------------------------------+----------------+-------
   4.4.87-r1 | + + ~ ~ + + + + + o ~ ~ + o ~ o | 6 o 4.4.87-r1  | gentoo
-------------+---------------------------------+----------------+-------
  4.4.104    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.104    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.105    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.105    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.106    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.106    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.107    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.107    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.108    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.108    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.109    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.109    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.110    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.110    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.111    | ~ + ~ ~ ~ ~ ~ ~ + o ~ ~ ~ o ~ o | 6 o 4.4.111    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.111-r1 | ~ + ~ ~ ~ + ~ + + o ~ ~ ~ o ~ o | 6 o 4.4.111-r1 | gentoo
-------------+---------------------------------+----------------+-------
  4.4.112    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.112    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.113    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.113    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.114    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.114    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.115    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.115    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.116    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.116    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.117    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.117    | gentoo
-------------+---------------------------------+----------------+-------
  4.4.118    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.4.118    | gentoo
-------------+---------------------------------+----------------+-------
   4.9.49-r1 | + + ~ ~ + + + + + o ~ ~ + o ~ o | 6 o 4.9.49-r1  | gentoo
-------------+---------------------------------+----------------+-------
   4.9.67    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.67     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.68    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.68     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.69    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.69     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.70    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.70     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.71    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.71     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.72    | ~ + ~ ~ ~ + + ~ + o ~ ~ ~ o ~ o | 6 o 4.9.72     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.73    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.73     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.74    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.74     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.75    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.75     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.76    | ~ ~ ~ ~ ~ ~ ~ ~ + o ~ ~ ~ o ~ o | 6 o 4.9.76     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.76-r1 | + + ~ ~ ~ + ~ + + o ~ ~ ~ o ~ o | 6 o 4.9.76-r1  | gentoo
-------------+---------------------------------+----------------+-------
   4.9.77    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.77     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.78    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.78     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.79    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.79     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.80    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.80     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.81    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.81     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.82    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.82     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.83    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.83     | gentoo
-------------+---------------------------------+----------------+-------
   4.9.84    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.9.84     | gentoo
-------------+---------------------------------+----------------+-------
  4.14.11-r1 | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.11-r1 | gentoo
-------------+---------------------------------+----------------+-------
  4.14.11-r2 | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.11-r2 | gentoo
-------------+---------------------------------+----------------+-------
  4.14.12    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.12    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.13    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.13    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.14    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.14    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.15    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.15    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.16    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.16    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.17    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.17    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.18    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.18    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.19    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.19    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.20    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.20    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.21    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.21    | gentoo
-------------+---------------------------------+----------------+-------
  4.14.22    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.14.22    | gentoo
-------------+---------------------------------+----------------+-------
   4.15.0    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.15.0     | gentoo
-------------+---------------------------------+----------------+-------
   4.15.1    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.15.1     | gentoo
-------------+---------------------------------+----------------+-------
   4.15.2    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.15.2     | gentoo
-------------+---------------------------------+----------------+-------
   4.15.3    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.15.3     | gentoo
-------------+---------------------------------+----------------+-------
   4.15.4    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.15.4     | gentoo
-------------+---------------------------------+----------------+-------
   4.15.5    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.15.5     | gentoo
-------------+---------------------------------+----------------+-------
[I]4.15.6    | ~ ~ ~ ~ ~ ~ ~ ~ ~ o ~ ~ ~ o ~ o | 6 o 4.15.6     | gentoo

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
LuxJux
Apprentice
Apprentice


Joined: 01 Mar 2016
Posts: 290

PostPosted: Tue Feb 27, 2018 7:50 pm    Post subject: Reply with quote

asturm wrote:
Aktuell wäre 4.15.6. Das ACCEPT_KEYWORDS Konzept ist dir bekannt?


nÖ. Aber wenn das so sein soll, kann ich damit leben.
Hauptsache...weg von RedmontSoftwareBS
Bin kein Tester, nur Benutzer
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6514
Location: Austria

PostPosted: Tue Feb 27, 2018 7:58 pm    Post subject: Reply with quote

Es ist völlig okay auf 4.14 zu wechseln. Gentoo-Stabilisierung macht den Kernel nicht besser, nur Bugs werden prioritär supported. Aber ein bisschen Beschäftigung mit grundlegenden Portage Features wäre schon angebracht, danach kann nur noch das Umziehen der alten .config zum neuen Kernel schiefgehen, da hat sich schon recht viel getan.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Tyrus
Tux's lil' helper
Tux's lil' helper


Joined: 03 Feb 2018
Posts: 110

PostPosted: Tue Feb 27, 2018 8:00 pm    Post subject: Reply with quote

Ich bin auch noch auf nem 4.9er Kernel.

Wenn du trotzdem umstellen willst les dir mal erst das hier durch.

Ich rate aber davon ab in /etc/portage/make.conf den Eintrag ACCEPT_KEYWORDS="~amd64" zu verwenden. Die systemweite Lösung sollte ne Menge neuer Paketversionen anziehen die du gar nicht willst.

Lieber paketabhängig in /etc/portage/package.accept_keywords eintragen. Also zu Beispiel:

Code:

=sys-kernel/gentoo-sources-4.14.22 ~amd64


Das holt dir den neuesten 4.14er Kernel dazu.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6514
Location: Austria

PostPosted: Tue Feb 27, 2018 8:01 pm    Post subject: Reply with quote

^ so ist es richtig. Obwohl, den '~amd64' Zusatz kann man sich sparen, und unbedingt auf der .22 Version würde ich auch nicht festkleben wollen, daher eher 4.14*
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Tyrus
Tux's lil' helper
Tux's lil' helper


Joined: 03 Feb 2018
Posts: 110

PostPosted: Tue Feb 27, 2018 8:30 pm    Post subject: Reply with quote

@asturm: Danke :)

Mein Grund warum ich vor ner Weile den 4.14 zurücksetzen musste war das der Grafikkartentreiber das verlangte. Ich hab grade mal den ebuild angesehen. 4.14er Kernels könnte ich jetzt wohl nutzen für die stabile Version von x11-drivers/nvidia-drivers. Für nen 4.15er Kernel müsste ich da auch schon auf einen unstable hochgehen. Version 390.25 kann gentoo-sources <4.16. Die anderen Versionen verlangen gentoo-sources <4.15.

Im Ebuild von Version 387.22 (stable) kann man folgendes finden:

Code:

nvidia_drivers_versions_check() {
   if use amd64 && has_multilib_profile && \
      [ "${DEFAULT_ABI}" != "amd64" ]; then
      eerror "This ebuild doesn't currently support changing your default ABI"
      die "Unexpected \${DEFAULT_ABI} = ${DEFAULT_ABI}"
   fi

   if use kernel_linux && kernel_is ge 4 15; then
      ewarn "Gentoo supports kernels which are supported by NVIDIA"
      ewarn "which are limited to the following kernels:"
      ewarn "<sys-kernel/gentoo-sources-4.15"
      ewarn "<sys-kernel/vanilla-sources-4.15"
      ewarn ""
      ewarn "You are free to utilize epatch_user to provide whatever"
      ewarn "support you feel is appropriate, but will not receive"
      ewarn "support as a result of those changes."
      ewarn ""
      ewarn "Do not file a bug report about this."
      ewarn ""
   fi

   # Since Nvidia ships many different series of drivers, we need to give the user
   # some kind of guidance as to what version they should install. This tries
   # to point the user in the right direction but can't be perfect. check
   # nvidia-driver.eclass
   nvidia-driver-check-warning

   # Kernel features/options to check for
   CONFIG_CHECK="~ZONE_DMA ~MTRR ~SYSVIPC ~!LOCKDEP"
   use x86 && CONFIG_CHECK+=" ~HIGHMEM"

   # Now do the above checks
   use kernel_linux && check_extra_config
}


Damals gabs noch keinen Nvidia-Driver für die 4.14er Kernelfamilie. Was dazu führte das mein Test auf nem Black-Screen endete.

Was ich sagen will - manchmal kann es schon sein das der ältere Kernel noch der einzigste verwendbare ist.


@LuxJux:
Versuchs ruhig mal mit nem 4.14er Kernel.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6514
Location: Austria

PostPosted: Tue Feb 27, 2018 8:47 pm    Post subject: Reply with quote

Das ist eine eher spezielle Einschränkung für User von proprietären Treibern. Wird von der Gentoo nvidia-drivers ebuild aber kommuniziert.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
LuxJux
Apprentice
Apprentice


Joined: 01 Mar 2016
Posts: 290

PostPosted: Wed Feb 28, 2018 2:50 pm    Post subject: Reply with quote

Danke an @asturm und @Tyrus
War zwar eigentlich nicht geplant. Doch versuch mal testing

Und wenn das fehlhaut, da ist ja noch ein Calc und ein Win8.1
Back to top
View user's profile Send private message
LuxJux
Apprentice
Apprentice


Joined: 01 Mar 2016
Posts: 290

PostPosted: Wed Feb 28, 2018 2:57 pm    Post subject: Reply with quote

asturm wrote:
Das ist eine eher spezielle Einschränkung für User von proprietären Treibern. Wird von der Gentoo nvidia-drivers ebuild aber kommuniziert.

Betrifft mich nicht. Habe eine ATI Radeoen.
Back to top
View user's profile Send private message
guru meditation
n00b
n00b


Joined: 18 Mar 2018
Posts: 1
Location: Planet Earth

PostPosted: Sun Mar 18, 2018 4:44 am    Post subject: Reply with quote

asturm wrote:
^ so ist es richtig. Obwohl, den '~amd64' Zusatz kann man sich sparen, und unbedingt auf der .22 Version würde ich auch nicht festkleben wollen, daher eher 4.14*


Cool, wollte gerade fragen wie man mittels accept_keywords am Kernel 4.14 kleben bleibt.

Gibt es eigentlich irgendwo ein Cheat Sheet für emerge? Quasi „Emerge auf einer Seite“?
Back to top
View user's profile Send private message
LuxJux
Apprentice
Apprentice


Joined: 01 Mar 2016
Posts: 290

PostPosted: Mon Mar 19, 2018 2:33 am    Post subject: Reply with quote

Kernel bauen hängt mit emerge nicht zusammen. Der hat seine eigenen Regeln.

Wie das mit
Code:
 ./configure
make
make install

funktioniert, versteh ich auch noch nicht.
Genkernel funktioniert.

Sicherlich, ein mkconfig muß noch hinterher
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum